#include "dviout.h"

BOOL WINAPI AboutDlgProc( HWND hDlg, UINT message, UINT wParam, LONG lParam )
{
/* copyright string is now set in version.h using a standard macro.
	char copyright_string[32];
	sprintf( copyright_string, "%s, %s", COPYRIGHT_STRING, __DATE__ );
*/
	switch( message )
	{
		case WM_INITDIALOG:
			SetDlgItemText(hDlg, IDC_STATIC_VERINFO, ABOUT_VERSION );
			SetDlgItemText(hDlg, IDC_STATIC_COPYRIGHT_INFO, COPYRIGHT_STRING );
			return TRUE;
		case WM_COMMAND:
			switch( wParam )
			{
				case IDC_THANKS:
					ShowWinHelp(IDH_THANKS);
				case IDCANCEL:
				case IDOK:
					EndDialog( hDlg, 0 );
					return TRUE;
			}
		break;
	}
	return FALSE;
}
